"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = asyncContext;

var _nodeAsyncContext = _interopRequireDefault(require("node-async-context"));

/**
 * 异步上下文中间件
 *
 * @author: sunkeysun
 */
process.context = _nodeAsyncContext.default.create();

async function asyncContext(ctx, next) {
  try {
    await next();

    _.result(process.context, 'destroy');
  } catch (e) {
    _.result(process.context, 'destroy');

    throw e;
  }
}