"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Provider = _interopRequireDefault(require("../support/base/Provider"));

var _RedisDriver = _interopRequireDefault(require("../support/drivers/RedisDriver"));

/**
 * redis 服务提供者
 *
 * @author : sunkeysun
 */
class RedisProvider extends _Provider.default {
  register() {
    const redisConfig = app().config('redis');
    const redis = new _RedisDriver.default(redisConfig);
    return redis;
  }

}

exports.default = RedisProvider;