"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _axios = _interopRequireDefault(require("axios"));

var _Provider = _interopRequireDefault(require("../support/base/Provider"));

var _Request = _interopRequireDefault(require("./Request"));

/**
 * server端请求提供者
 *
 * @author : sunkeysun
 */
class RequestProvicer extends _Provider.default {
  register(config) {
    const request = new _Request.default(config);
    return request;
  }

}

exports.default = RequestProvicer;