"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = iRequestResponse;

var _Request = _interopRequireDefault(require("../Request"));

var _Response = _interopRequireDefault(require("../Response"));

/**
 * 初始化中间件
 *
 * @author : sunkeysun
 */
async function iRequestResponse(ctx, next) {
  ctx.iRequest = new _Request.default(ctx);
  ctx.iResponse = new _Response.default(ctx);
  await next();

  if (ctx.response.status === 404 && ctx.iRequest.route && _.isUndefined(ctx.response.body)) {
    throw new Error('You forget set response body or status or lose await next at async middleware');
  }
}