"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Provider = _interopRequireDefault(require("../support/base/Provider"));

var _Log4jsDriver = _interopRequireDefault(require("./drivers/Log4jsDriver"));

/**
 * 日志服务提供者
 *
 * @author : sunkeysun
 */
class LogProvider extends _Provider.default {
  register() {
    const logConfig = app().config('log');
    const logger = new _Log4jsDriver.default(logConfig);
    return logger;
  }

}

exports.default = LogProvider;